Name | Type | Default |
autoUpload
|
Boolean
|
false
|
Sets or gets whether files will be automatically uploaded when selected.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the autoUpload property. let autoUpload = this.$refs.myFileUpload.autoUpload;
|
accept
|
String
|
null
|
Sets or gets the file types that can be submitted to the server through jqxFileUpload. This property corresponds to the accept attribute of the hidden file input which is submitted to the URL specified by the uploadUrl property.
Possible values:
any file extension, for example: '.gif', '.jpg', '.png', '.doc', etc.
'audio/*' - all sound files are accepted.
'video/*' - all video files are accepted.
'image/*' - all image files are accepted.
any valid media type. For a list, please refer to IANA Media Types.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the accept property. let accept = this.$refs.myFileUpload.accept;
|
browseTemplate
|
String
|
''
|
Sets or gets the template applied to the 'Browse' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the browseTemplate property. let browseTemplate = this.$refs.myFileUpload.browseTemplate;
|
cancelTemplate
|
String
|
''
|
Sets or gets the template applied to the 'Cancel All' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the cancelTemplate property. let cancelTemplate = this.$refs.myFileUpload.cancelTemplate;
|
disabled
|
Boolean
|
false
|
Enables or disables the jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the disabled property. let disabled = this.$refs.myFileUpload.disabled;
|
fileInputName
|
String
|
''
|
Sets or gets the name attribute of the hidden file input which is submitted to the URL specified by the uploadUrl property. This name is applied to the file input of the file about to be uploaded and after the upload the name attribute is removed so that it can be set to the next hidden file input (if any). As a result, there is only one file input with this name attribute at a time.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the fileInputName property. let fileInputName = this.$refs.myFileUpload.fileInputName;
|
height
|
Number | String
|
'auto'
|
Sets or gets the jqxFileUpload's height.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the height property. let height = this.$refs.myFileUpload.height;
|
localization
|
Object
|
null
|
Sets the various text values used in the widget. Useful for localization.
The localization object has the following fields:
browseButton - sets the text of the 'Browse' button.
uploadButton - sets the text of the 'Upload All' button.
cancelButton - sets the text of the 'Cancel All' button.
uploadFileTooltip - sets the text of the 'Upload File' tooltip.
cancelFileTooltip - sets the text of the 'Cancel' tooltip.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, data: function () { return { localization: { browseButton: 'Blättern', uploadButton: 'Laden Sie alle', cancelButton: 'alle Abbrechen', uploadFileTooltip: 'Datei hochladen', cancelFileTooltip: 'aufheben' }
Get the localization property. let localization = this.$refs.myFileUpload.localization;
|
multipleFilesUpload
|
Boolean
|
true
|
Sets or gets whether multiple files selection and upload are allowed.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the multipleFilesUpload property. let multipleFilesUpload = this.$refs.myFileUpload.multipleFilesUpload;
|
renderFiles
|
Function
|
null
|
A callback function used for rendering the file selection rows.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, methods: { renderFiles: function (fileName) { return fileName.toUpperCase();
Get the renderFiles property. let renderFiles = this.$refs.myFileUpload.renderFiles;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the rtl property. let rtl = this.$refs.myFileUpload.rtl;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
|
uploadUrl
|
String
|
''
|
Sets or gets the upload URL. This property corresponds to the upload form's action attribute. For example, the uploadUrl property can point to a PHP file, which to handle the upload operation server-side. Here is a sample PHP file that allows only images no larger than 500 kB to be uploaded to the server:
<?php$target_dir = "COLOR: #a24; PADDING-BOTTOM: 0px; PADDING-TOP: 0px; PADDING-LEFT: 0px; CLEAR: both; MARGIN: 0px; PADDING-RIGHT: 0px">"uploads/"; $target_file = $target_dir . basename($_FILES[ "fileToUpload"]["name"]); $uploadOk = 1; $imageFileType = pathinfo($target_file,PATHINFO_EXTENSION); // Check if image file is a actual image or fake image if(isset($_POST[ "submit"])) { $check = getimagesize($_FILES[ "fileToUpload"]["tmp_name"]); if($check !== false) { echo "File is an image - " . $check["mime"] . "."; $uploadOk = 1; } else { echo "File is not an image."; $uploadOk = 0; } } // Check if file already exists if (file_exists($target_file)) { echo "Sorry, file already exists."; $uploadOk = 0; } // Check file size if ($_FILES[ "fileToUpload"]["size"] > 500000) { echo "Sorry, your file is too large."; $uploadOk = 0; } // Allow certain file formats if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"&& $imageFileType != "gif" ) { echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed."; $uploadOk = 0; } // Check if $uploadOk is set to 0 by an error if ($uploadOk == 0) { echo "Sorry, your file was not uploaded."; // if everything is ok, try to upload file } else { if (move_uploaded_file($_FILES[ "fileToUpload"]["tmp_name"], $target_file)) { echo "The file ". basename( $_FILES["fileToUpload"]["name"]). " has been uploaded."; } else { echo "Sorry, there was an error uploading your file.";
A few notes about file uploads in PHP:
Many shared hosting servers allow a very low maximum file upload size. If you plan on accepting larger files, you should consider a dedicated or virtual dedicated server. To adjust the file upload size in PHP, modify the php.ini file's "upload_max_filesize" value. You can also adjust this value using PHP's .ini_set() function. The file upload counts towards the hosting environment's $_POST size, so you may need to increase the php.ini file's post_max_size value. Be sure to do a lot of file validation when allowing users to upload files. How horrible would it be to allow a user to upload a .exe file to your server? They could do horrible things on the server.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the uploadUrl property. let uploadUrl = this.$refs.myFileUpload.uploadUrl;
|
uploadTemplate
|
String
|
''
|
Sets or gets the template applied to the 'Upload All' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the uploadTemplate property. let uploadTemplate = this.$refs.myFileUpload.uploadTemplate;
|
width
|
Number | String
|
null
|
Sets or gets the jqxFileUpload's width.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue';
Get the width property. let width = this.$refs.myFileUpload.width;
|
|
remove
|
Event
|
|
This event is triggered when a file row has been removed.
Code examples
Bind to the remove event of jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @remove="onRemove($event)" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, methods: { onRemove: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when a file has been selected.
Code examples
Bind to the select event of jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @select="onSelect($event)" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, methods: { onSelect: function (event) { alert( 'do something...');
|
uploadStart
|
Event
|
|
This event is triggered when a file upload operation has started.
Code examples
Bind to the uploadStart event of jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @uploadStart="onUploadStart($event)" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, methods: { onUploadStart: function (event) { alert( 'do something...');
|
uploadEnd
|
Event
|
|
This event is triggered when a file upload operation has ended.
Code examples
Bind to the uploadEnd event of jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @uploadEnd="onUploadEnd($event)" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, methods: { onUploadEnd: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
browse
|
None
|
None
|
Browses for a file. Due to browser restrictions, this method would not work on Internet Explorer 9 or earlier.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> <br /> <JqxButton @click="onClick()" :width="120">Browse For a File</JqxButton> </div> </template> <script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxFileUpload, JqxButton }, methods: { onClick: function () { this.$refs.myFileUpload.browse();
|
cancelFile
|
fileIndex
|
None
|
Cancels a selected file.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> <p>You should browse for a file and then click the button to cancel it:</p> <JqxButton @click="onClick()" :width="120">Cancel File</JqxButton> </div> </template> <script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxFileUpload, JqxButton }, methods: { onClick: function() { this.$refs.myFileUpload.cancelFile(0);
|
cancelAll
|
None
|
None
|
Cancels all selected files.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> <p>You should browse for a file/files and then click the button to cancel them:</p> <JqxButton @click="onClick()" :width="120">Cancel Files</JqxButton> </div> </template> <script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxFileUpload, JqxButton }, methods: { onClick: function() { this.$refs.myFileUpload.cancelAll();
|
destroy
|
None
|
None
|
Destroys the jqxFileUpload.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, mounted: function () { this.$refs.myFileUpload.destroy();
|
render
|
None
|
None
|
Renders the widget.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, mounted: function () { this.$refs.myFileUpload.render();
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" /> </div> </template>
<script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; export default { components: { JqxFileUpload }, mounted: function () { this.$refs.myFileUpload.refresh();
|
uploadFile
|
fileIndex
|
None
|
Uploads a selected file.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @uploadStart="onUploadStart($event)" /> <p>You should browse for a file and then click the button to upload it:</p> <JqxButton @click="onClick()" :width="120">Upload File</JqxButton> </div> </template> <script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxFileUpload, JqxButton }, methods: { onClick: function () { this.$refs.myFileUpload.uploadFile(0); }, onUploadStart: function (event) { alert( 'Uploading File...');
|
uploadAll
|
None
|
None
|
Uploads all selected files.
<template> <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process.</p> <JqxFileUpload ref="myFileUpload" @uploadStart="onUploadStart($event)" /> <p>You should browse for a file/files and then click the button to upload them:</p> <JqxButton @click="onClick()" :width="120">Upload Files</JqxButton> </div> </template> <script> import JqxFileUpload from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxfileupload.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxFileUpload, JqxButton }, methods: { onClick: function () { this.$refs.myFileUpload.uploadAll(); }, onUploadStart: function (event) { alert( 'Uploading Files...');
|

Name | Type | Default |
autoUpload
|
boolean
|
false
|
Sets or gets whether files will be automatically uploaded when selected.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
accept
|
string
|
null
|
Sets or gets the file types that can be submitted to the server through jqxFileUpload. This property corresponds to the accept attribute of the hidden file input which is submitted to the URL specified by the uploadUrl property.
Possible values:
any file extension, for example: '.gif', '.jpg', '.png', '.doc', etc.
'audio/*' - all sound files are accepted.
'video/*' - all video files are accepted.
'image/*' - all image files are accepted.
any valid media type. For a list, please refer to IANA Media Types.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
browseTemplate
|
FileUploadTemplate
|
''
|
FileUploadTemplate: "default" | "primary" | "success" | "warning" | "danger" | "inverse" | "info" | "link"
Sets or gets the template applied to the 'Browse' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
cancelTemplate
|
FileUploadTemplate
|
''
|
FileUploadTemplate: "default" | "primary" | "success" | "warning" | "danger" | "inverse" | "info" | "link"
Sets or gets the template applied to the 'Cancel All' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables or disables the jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
fileInputName
|
string
|
''
|
Sets or gets the name attribute of the hidden file input which is submitted to the URL specified by the uploadUrl property. This name is applied to the file input of the file about to be uploaded and after the upload the name attribute is removed so that it can be set to the next hidden file input (if any). As a result, there is only one file input with this name attribute at a time.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
'auto'
|
Sets or gets the jqxFileUpload's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
localization
|
FileUploadLocalization
|
null
|
Interface FileUploadLocalization { browseButton?: string; uploadButton?: string; cancelButton?: string; uploadFileTooltip?: string; cancelFileTooltip?: string; }
Sets the various text values used in the widget. Useful for localization.
The localization object has the following fields:
browseButton - sets the text of the 'Browse' button.
uploadButton - sets the text of the 'Upload All' button.
cancelButton - sets the text of the 'Cancel All' button.
uploadFileTooltip - sets the text of the 'Upload File' tooltip.
cancelFileTooltip - sets the text of the 'Cancel' tooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); constructor(props: {}) { super(props); this.state = { localization: { browseButton: 'Blättern', uploadButton: 'Laden Sie alle', cancelButton: 'alle Abbrechen', uploadFileTooltip: 'Datei hochladen', cancelFileTooltip: 'aufheben' } } } public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
multipleFilesUpload
|
boolean
|
true
|
Sets or gets whether multiple files selection and upload are allowed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderFiles
|
(filename:FileUploadRenderFiles['fileName']) => void
|
null
|
Interface FileUploadRenderFiles { fileName?: string; }
A callback function used for rendering the file selection rows.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); constructor(props: {}) { super(props); this.state = { renderFiles: (fileName: string): any => { return fileName.toUpperCase(); } } } public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uploadUrl
|
string
|
''
|
Sets or gets the upload URL. This property corresponds to the upload form's action attribute. For example, the uploadUrl property can point to a PHP file, which to handle the upload operation server-side. Here is a sample PHP file that allows only images no larger than 500 kB to be uploaded to the server:
<?php$target_dir = "COLOR: #a24; PADDING-BOTTOM: 0px; PADDING-TOP: 0px; PADDING-LEFT: 0px; CLEAR: both; MARGIN: 0px; PADDING-RIGHT: 0px">"uploads/"; $target_file = $target_dir . basename($_FILES[ "fileToUpload"]["name"]); $uploadOk = 1; $imageFileType = pathinfo($target_file,PATHINFO_EXTENSION); // Check if image file is a actual image or fake image if(isset($_POST[ "submit"])) { $check = getimagesize($_FILES[ "fileToUpload"]["tmp_name"]); if($check !== false) { echo "File is an image - " . $check["mime"] . "."; $uploadOk = 1; } else { echo "File is not an image."; $uploadOk = 0; } } // Check if file already exists if (file_exists($target_file)) { echo "Sorry, file already exists."; $uploadOk = 0; } // Check file size if ($_FILES[ "fileToUpload"]["size"] > 500000) { echo "Sorry, your file is too large."; $uploadOk = 0; } // Allow certain file formats if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"&& $imageFileType != "gif" ) { echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed."; $uploadOk = 0; } // Check if $uploadOk is set to 0 by an error if ($uploadOk == 0) { echo "Sorry, your file was not uploaded."; // if everything is ok, try to upload file } else { if (move_uploaded_file($_FILES[ "fileToUpload"]["tmp_name"], $target_file)) { echo "The file ". basename( $_FILES["fileToUpload"]["name"]). " has been uploaded."; } else { echo "Sorry, there was an error uploading your file.";
A few notes about file uploads in PHP:
Many shared hosting servers allow a very low maximum file upload size. If you plan on accepting larger files, you should consider a dedicated or virtual dedicated server. To adjust the file upload size in PHP, modify the php.ini file's "upload_max_filesize" value. You can also adjust this value using PHP's .ini_set() function. The file upload counts towards the hosting environment's $_POST size, so you may need to increase the php.ini file's post_max_size value. Be sure to do a lot of file validation when allowing users to upload files. How horrible would it be to allow a user to upload a .exe file to your server? They could do horrible things on the server.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uploadTemplate
|
FileUploadTemplate
|
''
|
FileUploadTemplate: "default" | "primary" | "success" | "warning" | "danger" | "inverse" | "info" | "link"
Sets or gets the template applied to the 'Upload All' button.
Possible Values:
'default' - the default button's template. The button's style depends only on the 'theme' property value.
'primary' - dark blue button for extra visual weight.
'success' - green button for successful or positive action.
'warning' - orange button which indicates caution.
'danger' - red button which indicates a dangerous or negative action.
'inverse' - dark gray button, not tied to a semantic action or use.
'info' - blue button, not tied to a semantic action or use.
'link' - making it look like a link.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxFileUpload's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
remove
|
Event
|
|
This event is triggered when a file row has been removed.
Code examples
Bind to the remove event of jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } private onRemove(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
select
|
Event
|
|
This event is triggered when a file has been selected.
Code examples
Bind to the select event of jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uploadStart
|
Event
|
|
This event is triggered when a file upload operation has started.
Code examples
Bind to the uploadStart event of jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } private onUploadStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uploadEnd
|
Event
|
|
This event is triggered when a file upload operation has ended.
Code examples
Bind to the uploadEnd event of jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } private onUploadEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
browse
|
None
|
|
Browses for a file. Due to browser restrictions, this method would not work on Internet Explorer 9 or earlier.
|
cancelFile
|
fileIndex
|
|
|
cancelAll
|
None
|
|
Cancels all selected files.
|
destroy
|
None
|
|
Destroys the jqxFileUpload.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public componentDidMount(): void { this.myFileUpload.current!.destroy(); } public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public componentDidMount(): void { this.myFileUpload.current!.render(); } public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFileUpload, { IFileUploadProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxfileupload'; class App extends React.PureComponent<{}, IFileUploadProps> { private myFileUpload = React.createRef<JqxFileUpload>(); public componentDidMount(): void { this.myFileUpload.current!.refresh(); } public render() { return ( <div> <p>Note: to be able to upload a file you would have to set the property uploadUrl to point to a file hosted on your server, which handles the upload process. </p> <JqxFileUpload ref="myFileUpload" /> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uploadFile
|
fileIndex
|
|
|
uploadAll
|
None
|
|
Uploads all selected files.
|

Name | Type | Default |
autoUpload
|
Boolean
|
false
|
Sets or gets the autoUpload property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [autoUpload]="true"> </jqxFileUpload> `}) export class AppComponent {
|
accept
|
String
|
null
|
Sets or gets the accept property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [accept]="'image/*'"> </jqxFileUpload> `}) export class AppComponent {
|
browseTemplate
|
enum:FileUploadTemplate
|
''
|
enum FileUploadTemplate { default, primary, success, warning, danger, inverse, info, link } Sets or gets the browseTemplate property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [browseTemplate]="'primary'"> </jqxFileUpload> `}) export class AppComponent {
|
cancelTemplate
|
enum:FileUploadTemplate
|
''
|
enum FileUploadTemplate { default, primary, success, warning, danger, inverse, info, link } Sets or gets the cancelTemplate property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [cancelTemplate]="'danger'"> </jqxFileUpload> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [disabled]="true"> </jqxFileUpload> `}) export class AppComponent {
|
fileInputName
|
String
|
''
|
Sets or gets the fileInputName property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [fileInputName]="'input'"> </jqxFileUpload> `}) export class AppComponent {
|
height
|
Size
|
'auto'
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [height]="150"> </jqxFileUpload> `}) export class AppComponent {
|
localization
|
FileUploadLocalization
|
null
|
interface FileUploadLocalization { browseButton?: String; uploadButton?: String; cancelButton?: String; uploadFileTooltip?: String; cancelFileTooltip?: String; } Sets or gets the localization property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [localization]="localization"> </jqxFileUpload> `}) export class AppComponent {
|
multipleFilesUpload
|
Boolean
|
true
|
Sets or gets the multipleFilesUpload property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [multipleFilesUpload]="true"> </jqxFileUpload> `}) export class AppComponent {
|
renderFiles
|
(filename:Any) => Void
|
null
|
Sets or gets the renderFiles property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [renderFiles]="renderFiles"> </jqxFileUpload> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [rtl]="true"> </jqxFileUpload> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [theme]="'energyblue'"> </jqxFileUpload> `}) export class AppComponent {
|
uploadUrl
|
String
|
''
|
Sets or gets the uploadUrl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [uploadUrl]="'upload.php'"> </jqxFileUpload> `}) export class AppComponent {
|
uploadTemplate
|
enum:FileUploadTemplate
|
''
|
enum FileUploadTemplate { default, primary, success, warning, danger, inverse, info, link } Sets or gets the uploadTemplate property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'" [uploadTemplate]="'warning'"> </jqxFileUpload> `}) export class AppComponent {
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent {
|
|
remove
|
Event
|
|
This event is triggered when a file row has been removed.
Code examples
Bind to the remove event of jqxFileUpload.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload (onRemove)="Remove($event)" [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent {
|
select
|
Event
|
|
This event is triggered when a file has been selected.
Code examples
Bind to the select event of jqxFileUpload.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload (onSelect)="Select($event)" [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent {
|
uploadStart
|
Event
|
|
This event is triggered when a file upload operation has started.
Code examples
Bind to the uploadStart event of jqxFileUpload.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload (onUploadStart)="UploadStart($event)" [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent { UploadStart(event: any): void
|
uploadEnd
|
Event
|
|
This event is triggered when a file upload operation has ended.
Code examples
Bind to the uploadEnd event of jqxFileUpload.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload (onUploadEnd)="UploadEnd($event)" [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent { UploadEnd(event: any): void
|
|
Name | Return Type | Arguments |
browse
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.browse();
|
cancelFile
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.cancelFile();
|
cancelAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.cancelAll();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.destroy();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.render();
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.refresh();
|
uploadFile
|
Void
|
fileIndex: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.uploadFile(0);
|
uploadAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFileUpload #myFileUpload [width]="300" [uploadUrl]="'imageUpload.php'" [fileInputName]="'fileToUpload'"> </jqxFileUpload> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFileUpload') myFileUpload: jqxFileUploadComponent; ngAfterViewInit(): void { this.myFileUpload.uploadAll();
|